Index: c/src/exec/libnetworking/rtems/rtems_glue.c
===================================================================
--- c/src/exec/libnetworking/rtems/rtems_glue.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/exec/libnetworking/rtems/rtems_glue.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -810,5 +810,5 @@
 		memcpy (&ifreq.ifr_broadaddr, &broadcast, sizeof broadcast);
 		if (ioctl (s, SIOCSIFBRDADDR, &ifreq) < 0)
-			rtems_panic ("Can't set %s broadcast address: %s", ifp->name, strerror (errno));
+			printf ("Can't set %s broadcast address: %s\n", ifp->name, strerror (errno));
 	}
 
Index: c/src/exec/libnetworking/rtems/rtems_showifstat.c
===================================================================
--- c/src/exec/libnetworking/rtems/rtems_showifstat.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/exec/libnetworking/rtems/rtems_showifstat.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -38,5 +38,5 @@
 	struct ifnet *ifp;
 	struct ifaddr *ifa;
-	unsigned int bit, flags;
+	unsigned short bit, flags;
 	int printed;
 
@@ -58,6 +58,7 @@
 		for (bit = 1, flags = ifp->if_flags ; flags ; bit <<= 1) {
 			char *cp;
+			char xbuf[20];
 			switch (flags & bit) {
-			default:		cp = NULL;		break;
+			case 0:			cp = NULL;		break;
 			case IFF_UP:		cp = "Up";		break;
 			case IFF_BROADCAST:	cp = "Broadcast";	break;
@@ -75,4 +76,5 @@
 			case IFF_LINK2:		cp = "Link2";		break;
 			case IFF_MULTICAST:	cp = "Multicast";	break;
+			default: sprintf (xbuf, "%#x", bit); cp = xbuf;	break;
 			}
 			if (cp) {
Index: c/src/lib/libnetworking/rtems/rtems_glue.c
===================================================================
--- c/src/lib/libnetworking/rtems/rtems_glue.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/lib/libnetworking/rtems/rtems_glue.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -810,5 +810,5 @@
 		memcpy (&ifreq.ifr_broadaddr, &broadcast, sizeof broadcast);
 		if (ioctl (s, SIOCSIFBRDADDR, &ifreq) < 0)
-			rtems_panic ("Can't set %s broadcast address: %s", ifp->name, strerror (errno));
+			printf ("Can't set %s broadcast address: %s\n", ifp->name, strerror (errno));
 	}
 
Index: c/src/lib/libnetworking/rtems/rtems_showifstat.c
===================================================================
--- c/src/lib/libnetworking/rtems/rtems_showifstat.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/lib/libnetworking/rtems/rtems_showifstat.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -38,5 +38,5 @@
 	struct ifnet *ifp;
 	struct ifaddr *ifa;
-	unsigned int bit, flags;
+	unsigned short bit, flags;
 	int printed;
 
@@ -58,6 +58,7 @@
 		for (bit = 1, flags = ifp->if_flags ; flags ; bit <<= 1) {
 			char *cp;
+			char xbuf[20];
 			switch (flags & bit) {
-			default:		cp = NULL;		break;
+			case 0:			cp = NULL;		break;
 			case IFF_UP:		cp = "Up";		break;
 			case IFF_BROADCAST:	cp = "Broadcast";	break;
@@ -75,4 +76,5 @@
 			case IFF_LINK2:		cp = "Link2";		break;
 			case IFF_MULTICAST:	cp = "Multicast";	break;
+			default: sprintf (xbuf, "%#x", bit); cp = xbuf;	break;
 			}
 			if (cp) {
Index: c/src/libnetworking/rtems/rtems_glue.c
===================================================================
--- c/src/libnetworking/rtems/rtems_glue.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/libnetworking/rtems/rtems_glue.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -810,5 +810,5 @@
 		memcpy (&ifreq.ifr_broadaddr, &broadcast, sizeof broadcast);
 		if (ioctl (s, SIOCSIFBRDADDR, &ifreq) < 0)
-			rtems_panic ("Can't set %s broadcast address: %s", ifp->name, strerror (errno));
+			printf ("Can't set %s broadcast address: %s\n", ifp->name, strerror (errno));
 	}
 
Index: c/src/libnetworking/rtems/rtems_showifstat.c
===================================================================
--- c/src/libnetworking/rtems/rtems_showifstat.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ c/src/libnetworking/rtems/rtems_showifstat.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -38,5 +38,5 @@
 	struct ifnet *ifp;
 	struct ifaddr *ifa;
-	unsigned int bit, flags;
+	unsigned short bit, flags;
 	int printed;
 
@@ -58,6 +58,7 @@
 		for (bit = 1, flags = ifp->if_flags ; flags ; bit <<= 1) {
 			char *cp;
+			char xbuf[20];
 			switch (flags & bit) {
-			default:		cp = NULL;		break;
+			case 0:			cp = NULL;		break;
 			case IFF_UP:		cp = "Up";		break;
 			case IFF_BROADCAST:	cp = "Broadcast";	break;
@@ -75,4 +76,5 @@
 			case IFF_LINK2:		cp = "Link2";		break;
 			case IFF_MULTICAST:	cp = "Multicast";	break;
+			default: sprintf (xbuf, "%#x", bit); cp = xbuf;	break;
 			}
 			if (cp) {
Index: cpukit/libnetworking/rtems/rtems_glue.c
===================================================================
--- cpukit/libnetworking/rtems/rtems_glue.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ cpukit/libnetworking/rtems/rtems_glue.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -810,5 +810,5 @@
 		memcpy (&ifreq.ifr_broadaddr, &broadcast, sizeof broadcast);
 		if (ioctl (s, SIOCSIFBRDADDR, &ifreq) < 0)
-			rtems_panic ("Can't set %s broadcast address: %s", ifp->name, strerror (errno));
+			printf ("Can't set %s broadcast address: %s\n", ifp->name, strerror (errno));
 	}
 
Index: cpukit/libnetworking/rtems/rtems_showifstat.c
===================================================================
--- cpukit/libnetworking/rtems/rtems_showifstat.c	(revision cb6208444b666a20dae4beb97da95f9c572528c8)
+++ cpukit/libnetworking/rtems/rtems_showifstat.c	(revision 6fca2f55680bf45aff1fbbdb5464571a53ab662f)
@@ -38,5 +38,5 @@
 	struct ifnet *ifp;
 	struct ifaddr *ifa;
-	unsigned int bit, flags;
+	unsigned short bit, flags;
 	int printed;
 
@@ -58,6 +58,7 @@
 		for (bit = 1, flags = ifp->if_flags ; flags ; bit <<= 1) {
 			char *cp;
+			char xbuf[20];
 			switch (flags & bit) {
-			default:		cp = NULL;		break;
+			case 0:			cp = NULL;		break;
 			case IFF_UP:		cp = "Up";		break;
 			case IFF_BROADCAST:	cp = "Broadcast";	break;
@@ -75,4 +76,5 @@
 			case IFF_LINK2:		cp = "Link2";		break;
 			case IFF_MULTICAST:	cp = "Multicast";	break;
+			default: sprintf (xbuf, "%#x", bit); cp = xbuf;	break;
 			}
 			if (cp) {
